### Method

# Foundry VcsManager find_provider

since: 1.1

#### Declaration [src]

    FoundryVcsProvider*
    foundry_vcs_manager_find_provider (
      FoundryVcsManager* self,
      const char* module_name
    )

#### Description [src]

Looks through available VCS providers to find one matching `module_name`.

The function matches providers by comparing `module_name` with the `PeasPluginInfo:module-name` of each provider’s plugin info.

Available since: 1.1

#### Parameters

`module_name`

  Type: `const char*`

  The module name to match against plugin info.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryVcsProvider`

A `FoundryVcsProvider` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.